Name:           goocanvasmm
Version:        0.4.0
Release:        3%{?dist}

Summary:        C++ interface for goocanvas

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://gtkmm.sourceforge.net/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/goocanvasmm/0.4/goocanvasmm-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtkmm24-devel >= 2.10.9
BuildRequires:  cairomm-devel >= 1.2.2
BuildRequires:  goocanvas-devel >= 0.8
BuildRequires:  doxygen graphviz


%description
This package provides a C++ interface for goocanvas. It is a
subpackage of the gtkmm project. The interface provides a convenient
interface for C++ programmers to create Gnome GUIs with GTK+'s
flexible object-oriented framework.


%package        devel
Summary:        Headers for developing programs that will use %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       gtkmm24-devel
Requires:       goocanvas-devel
Requires:       pkgconfig


%description devel
This package contains the libraries and header files needed for
developing applications with %{name}.


%prep
%setup -q


%build
%configure --enable-shared
make %{?_smp_mflags}

# Build documentation
(cd docs/reference; doxygen -u 2> /dev/null)
make -C docs/reference/


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
mkdir docs-to-include
mv docs/reference/html docs-to-include/
rm -r $RPM_BUILD_ROOT%{_libdir}/libgoocanvasmm-0.1
rm -r $RPM_BUILD_ROOT%{_libdir}/goocanvasmm-0.1


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/*.so.*


%files devel
%defattr(-, root, root, -)
%doc docs-to-include/*
%{_includedir}/%{name}-0.1
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4.0-3
- Autorebuild for GCC 4.3

* Wed Nov 28 2007 Denis Leroy <denis@poolshark.org> - 0.4.0-2
- Added graphviz dep, fixed doxygen warning

* Sun Nov 25 2007 Denis Leroy <denis@poolshark.org> - 0.4.0-1
- Initial version

